> ## Documentation Index
> Fetch the complete documentation index at: https://docs.projectio.com.au/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Disaggregation Target

> Store a newly created target.



## OpenAPI

````yaml POST /v1/projects/{project_id}/elements/{element_id}/indicators/{indicator_id}/disaggregations/{disaggregation_id}/targets
openapi: 3.1.0
info:
  title: Torch Impact Management API
  description: >-
    API for managing users, projects, indicators, targets, results, and impact
    data in Torch.
  version: '2026-01-27'
servers:
  - url: https://{tenant}.torchapp.com.au/api
    variables:
      tenant:
        default: demo
        description: Your Torch tenant subdomain.
security:
  - bearerAuth: []
tags:
  - name: Auth
  - name: Users
  - name: Projects
  - name: Elements
  - name: Indicators
  - name: Disaggregations
  - name: Targets
  - name: Results
  - name: Assignments
  - name: Misc
paths:
  /v1/projects/{project_id}/elements/{element_id}/indicators/{indicator_id}/disaggregations/{disaggregation_id}/targets:
    post:
      tags:
        - Targets
        - Disaggregations
      summary: Create disaggregation target
      description: Store a newly created target.
      parameters:
        - $ref: '#/components/parameters/ProjectIdAlt'
        - $ref: '#/components/parameters/ElementIdAlt'
        - $ref: '#/components/parameters/IndicatorIdAlt'
        - $ref: '#/components/parameters/DisaggregationIdAlt'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DisaggregationTargetCreate'
      responses:
        '200':
          description: Target created
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
        '401':
          $ref: '#/components/responses/Unauthenticated'
components:
  parameters:
    ProjectIdAlt:
      name: project_id
      in: path
      required: true
      schema:
        type: integer
      description: The ID of the project.
    ElementIdAlt:
      name: element_id
      in: path
      required: true
      schema:
        type: integer
      description: The ID of the element.
    IndicatorIdAlt:
      name: indicator_id
      in: path
      required: true
      schema:
        type: integer
      description: The ID of the indicator.
    DisaggregationIdAlt:
      name: disaggregation_id
      in: path
      required: true
      schema:
        type: integer
      description: The ID of the disaggregation.
  schemas:
    DisaggregationTargetCreate:
      type: object
      properties:
        target_date:
          type: string
          format: date-time
          example: '2026-01-27T02:53:04'
        target_value:
          type: number
          example: 4326.41688
        target_narrative:
          type: string
          example: architecto
        target_status:
          type: string
          example: 'n'
          maxLength: 255
        target_rating:
          type: string
          example: g
          maxLength: 255
      required:
        - target_date
    UnauthenticatedError:
      type: object
      properties:
        message:
          type: string
          example: Unauthenticated.
      required:
        - message
  responses:
    Unauthenticated:
      description: Unauthenticated
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthenticatedError'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key

````